Get access token
Get access token
Method for requesting access-token for online mortgage service.
Received bearer token should be added to all the requests for making call to online mortgage resources.
Request Endpoint
https://test-api.tbcbank.ge/oauth/tokenhttps://api.tbcbank.ge/oauth/tokenAuthorization
| Authorization Type | Description |
|---|---|
| Oauth 2.0 | Client Credential Flow |
Request should contain client_id (apikey) and client_secret (apisecret) values as a basic authentication header.
you can get your apikey and secret values by following this instruction
| Parameter | Type | Description |
|---|---|---|
| client_id | string | developer app apikey |
| client_secret | string | developer app secret |
Request Body
Parameters in request body should be passed as
Content-Type: application/x-www-form-urlencoded
| Parameter | Type | Description |
|---|---|---|
| grant_type | string | grant_type for oauth client credentials flow: should be following: client_credentials |
| scope | string | oauth scope. should be following: online_mortgages |
Request Sample
curl --location --request POST 'https://test-api.tbcbank.ge/oauth/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Basic U3A2TldhbU5zKKShrVDhSbTFGV3Q1ZEYwWXgwanhYekg6c05HaUdySTk0T3dpUENLRA==' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'scope=online_mortgages'Response Parameters
| Parameter | Type | Description |
|---|---|---|
| access_token | string | Access token. Used to access resources protected by oauth. The token is reference token. |
| token_type | string | Token type. Currently only BearerToken is supported. |
| scope | string | Scope for which access token was issued for. |
| issued_at | integer | Unix timestamp access token was issued at. |
| expires_in | integer | Milliseconds, access token will expire. |
Response Sample
{
"access_token": "vpmnLxpoasdKShdb2Ivky2eW0QEAhDt",
"token_type": "BearerToken",
"scope": "online_mortgages",
"issued_at": "1631105378666",
"expires_in": 7775999
}Error Response
In case of error, standard response in problem json will be returned.
Details can be found at Error Code Description.
Recipe
Mortgage Loan Get access token
Open Recipe
Updated 14 days ago
